-- Connectat com SYSTEM
DROP TABLESPACE TBSSECUR INCLUDING CONTENTS AND DATAFILES;
COMMIT;

-- tornem a crear
CREATE TABLESPACE TBSSECUR
	DATAFILE 'C:\UOC\PFC\DATA\SECUR.DBF' SIZE 50 M 
	AUTOEXTEND ON
	LOGGING ONLINE PERMANENT
	EXTENT MANAGEMENT LOCAL AUTOALLOCATE
	BLOCKSIZE 8 K
	SEGMENT SPACE MANAGEMENT AUTO;
COMMIT;

DROP USER admsecur CASCADE;
COMMIT;
CREATE USER admsecur
	IDENTIFIED BY admsecur
	DEFAULT TABLESPACE TBSSECUR
	QUOTA UNLIMITED ON TBSSECUR
	TEMPORARY TABLESPACE temp
	QUOTA 0 ON users;
COMMIT;

GRANT CREATE SESSION
      , CREATE TABLE
      , CREATE TRIGGER
      , CREATE SEQUENCE 
TO admsecur;

GRANT CREATE PROCEDURE TO admsecur;
GRANT CREATE SYNONYM TO admsecur;
GRANT CREATE TYPE TO admsecur;
COMMIT;




