--connectat com a admsecur
ALTER SESSION SET NLS_DATE_FORMAT = 'DD/MM/YYYY HH24:MI:SS';
ALTER SESSION SET NLS_TIMESTAMP_FORMAT = 'DD/MM/YYYY HH24:MI:SS';
ALTER SESSION SET NLS_TIME_FORMAT = 'HH24:MI:SS';
COMMIT;

---------------------------------------------------
--------------  Paisos  -----------------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaPais ('Espanya', res);
  admsecur.pkgManteniment.AltaPais ('Catalunya', res);
  admsecur.pkgManteniment.AltaPais ('Italia', res);
  admsecur.pkgManteniment.AltaPais ('Polonia', res);
  admsecur.pkgManteniment.AltaPais ('Alemanys', res);  ------->><CORREGIR al joc de proves
END;
---------------------------------------------------
------------ Tipus Incidencia      ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaTipusInc ('Robatori', res);
  admsecur.pkgManteniment.AltaTipusInc ('Incendi', res);
  admsecur.pkgManteniment.AltaTipusInc ('Ascensor', res);
  admsecur.pkgManteniment.AltaTipusInc ('Aldarull', res);
  admsecur.pkgManteniment.AltaTipusInc ('Parkin', res);  ------>><CORREGIR al joc de proves
END;
/
---------------------------------------------------
------------ Poblacions     ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaPoblacio ('Barcelona',2, res);
  admsecur.pkgManteniment.AltaPoblacio ('Tarragona',2, res);
  admsecur.pkgManteniment.AltaPoblacio ('Lleida',2, res);
  admsecur.pkgManteniment.AltaPoblacio ('Girona',2, res);
  admsecur.pkgManteniment.AltaPoblacio ('Terrasa',2, res);  ------>><CORREGIR al joc de proves
END;
/
---------------------------------------------------
------------ Empreses     ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaEmpresa('Siemens','G35237534D','Lepanto 18',1,'08012','934555555', '934555556', 'resp@Siemens.com',res); 
  admsecur.pkgManteniment.AltaEmpresa('USRobotics','H45654111D','Lope de Vega 255',1,'08023','932455534','932455535','resp@USRobotics.com',res); 
  admsecur.pkgManteniment.AltaEmpresa('Lynkos','A33224422D','Sant Antoni 51',1,'08001','932451111','932451112','resp@Lynkos.com',res); 
  admsecur.pkgManteniment.AltaEmpresa('La Caixa','A45634534D','Camelies 21',1,'08174','934455185','934455186','resp@LaCaixa.com',res); 
  admsecur.pkgManteniment.AltaEmpresa('Canon','B44335521D','Torroella 16',2,'43042','902200169','902200160','resp@Canon.com',res); 
  admsecur.pkgManteniment.AltaEmpresa('Toshiba','B6611133D','Paris 24',2,'44830','977660670','977660671','resp@toshiba.es', res); 
  admsecur.pkgManteniment.AltaEmpresa('Philips','B24335521D','Indústria 331',2,'45027','977408080','977408081','resp@Philips.com',res); 
  admsecur.pkgManteniment.AltaEmpresa('Microsoft','B14335521D','Sabadell 19',1,'08025','934578967','934578968','resp@Microsoft.com',res); 
END;
/
---------------------------------------------------
------------ Edificis     ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaEdifici('Siemens',1,'Lepanto 18',1,'08012','934555555', 'resp@Siemens.com',res); 
  admsecur.pkgManteniment.AltaEdifici('USRobotics',2,'Lope de Vega 255',1,'08023','932455534','resp@USRobotics.com',res); 
  admsecur.pkgManteniment.AltaEdifici('Lynkos',3,'Sant Antoni 51',1,'08001','932451111','resp@Lynkos.com',res); 
  admsecur.pkgManteniment.AltaEdifici('La Caixa',4,'Camelies 21',1,'08174','934455185','resp@LaCaixa.com',res); 
  admsecur.pkgManteniment.AltaEdifici('Canon',5,'Torroella 16',2,'43042','902200169','resp@Canon.com',res); 
  admsecur.pkgManteniment.AltaEdifici('Toshiba',6,'Paris 24',2,'44830','977660670','resp@toshiba.es', res); 
  admsecur.pkgManteniment.AltaEdifici('Philips',7,'Indústria 331',2,'45027','977408080','resp@Philips.com',res); 
  admsecur.pkgManteniment.AltaEdifici('Prova',8,'Sabadell 19',1,'08025','934578967','resp@Microsoft.com',res); -->> BAIXA al joc de proves
END;
/
---------------------------------------------------
------------ Departaments     ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaDepartament('RRHH',1,res); 
  admsecur.pkgManteniment.AltaDepartament('RRHH',2,res); 
  admsecur.pkgManteniment.AltaDepartament('RRHH',3,res); 
  admsecur.pkgManteniment.AltaDepartament('RRHH',4,res); 
  admsecur.pkgManteniment.AltaDepartament('Magatzem',1,res); 
  admsecur.pkgManteniment.AltaDepartament('Magatzem',2,res); 
  admsecur.pkgManteniment.AltaDepartament('Magatzem',3,res); 
  admsecur.pkgManteniment.AltaDepartament('Magatzem',4,res); 
  admsecur.pkgManteniment.AltaDepartament('Administració',1,res); 
  admsecur.pkgManteniment.AltaDepartament('Administració',2,res); 
  admsecur.pkgManteniment.AltaDepartament('Administració',3,res); 
  admsecur.pkgManteniment.AltaDepartament('Administració',4,res); 
  admsecur.pkgManteniment.AltaDepartament('Parking',1,res); 
  admsecur.pkgManteniment.AltaDepartament('Parking',2,res); 
  admsecur.pkgManteniment.AltaDepartament('Parking',3,res); 
  admsecur.pkgManteniment.AltaDepartament('Parking',4,res); 
  admsecur.pkgManteniment.AltaDepartament('Informàtica',1,res);
  admsecur.pkgManteniment.AltaDepartament('Informàtica',2,res); 
  admsecur.pkgManteniment.AltaDepartament('Informàtica',3,res); 
  admsecur.pkgManteniment.AltaDepartament('Informàtica',4,res);   
END;
/
---------------------------------------------------
------------ Incidencies    ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaIncidencies(1,1,22,'Robatori al Magatzem. Han desaparegut dos sensors. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,1,22,'Robatori al Magatzem. Han desaparegut dues impressores. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,2,25,'Incendi a Informàtica. Cremat un projector. Avisem als bombers',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,1,21,'Robatori a RRHH. Han robat dos mòbils. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,1,24,'Robatori al Parking. Han robat dos mòbils. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,1,24,'Robatori al Parking. Han trencat una finestra. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,1,24,'Robatori al Parking. Han robat una ràdio. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(2,1,26,'Robatori a RRHH. Han robat una cartera. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(2,1,29,'Robatori al Magatzem. Han desaparegut dos portàtils. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(2,1,29,'Robatori al Magatzem. Han desaparegut un lector de codi de barres. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(2,2,38,'Incendi a Informàtica. Cremada una consola. Avisem als bombers',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,1,35,'Robatori al Parking. Han robat un mòbil. Avisem als mossos',res); 
  admsecur.pkgManteniment.AltaIncidencies(1,1,35,'Robatori al Parking. Han robat una cartera. Avisem als mossos',res);
  admsecur.pkgManteniment.AltaIncidencies(1,1,35,'Robatori al Parking. Han robat una bossa. Avisem als mossos',res); 
 END;
/
---------------------------------------------------
------------ Permisos    ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaPermisos(1,21,1,res); -- rrhh edifici 1
  admsecur.pkgManteniment.AltaPermisos(1,22,1,res); -- magatzem edifici 1
  admsecur.pkgManteniment.AltaPermisos(1,23,1,res); -- administracio edifici 1  
  admsecur.pkgManteniment.AltaPermisos(1,24,1,res); -- parking edifici 1
  admsecur.pkgManteniment.AltaPermisos(2,21,1,res); -- rrhh edifici 1
  admsecur.pkgManteniment.AltaPermisos(2,24,1,res); -- parking edifici 1
  admsecur.pkgManteniment.AltaPermisos(3,21,1,res); -- rrhh edifici 1
  admsecur.pkgManteniment.AltaPermisos(3,22,1,res); -- magatzem edifici 1
  admsecur.pkgManteniment.AltaPermisos(3,24,1,res); -- parking edifici 1  
  admsecur.pkgManteniment.AltaPermisos(4,26,2,res); -- rrhh edifici 2  
  admsecur.pkgManteniment.AltaPermisos(4,35,2,res); -- parking edifici 2  
  admsecur.pkgManteniment.AltaPermisos(4,24,1,res); -- parking edifici 1  
END;
/
---------------------------------------------------
------------ Personal   ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaPersonal(1,1,21,'12345678','Rosa Prats Vidal','D','28/09/1963',1,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(1,1,21,'12345679','Jose Perez Vidal','H','18/07/1969',1,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(1,1,21,'12345680','Maria Lopez Jurado','D','20/10/1983',2,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(1,1,21,'12345681','Juan Ruiz Sanchez','H','21/06/1980',3,'S',res);   
  admsecur.pkgManteniment.AltaPersonal(1,1,21,'12345682','Antonio Peris Julian','H','02/05/1972',3,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(1,1,21,'12345644','Sonia Pons Viñas','D','29/09/1984',1,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(2,2,26,'12345638','Romi Paris Vidal','D','28/09/1963',4,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(2,2,26,'12345639','Jose Pineda Lopez','H','18/07/1969',4,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(2,2,26,'12345630','Montse Lopez Perez','D','20/10/1983',4,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(2,2,26,'12345631','Ramon Sanchez Gimenez','H','21/06/1980',4,'S',res);   
  admsecur.pkgManteniment.AltaPersonal(2,2,26,'12345632','Emilio Raul Julian','H','02/05/1972',4,'S',res); 
  admsecur.pkgManteniment.AltaPersonal(2,2,26,'12345628','Teresa Arias Fez','D','29/09/1984',4,'S',res);  
 END;
/
---------------------------------------------------
------------ Visitants   ----------------
---------------------------------------------------
/*
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaVisitant(1,'22345678','Ricardo Pons Vila','H','28/09/1967',1,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(1,'32345679','Juan Peris Lams','H','18/07/1969',1,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(1,'22345680','Marta Lopez Janer','D','20/10/1983',2,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(1,'22345681','Jacobo Ros Sanchez','H','21/06/1980',3,'S',res);   
  admsecur.pkgManteniment.AltaVisitant(1,'32345682','Alejandro Pallars Anton','H','02/05/1972',3,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(1,'22345644','Sara Ponce Alonso','D','29/09/1984',1,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(2,'32345638','Reme Benito Cordoba','D','28/09/1963',4,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(2,'32345639','Luis Pineda Lopez','H','18/07/1969',4,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(2,'22345630','Maia Lopez Perez','D','20/10/1983',4,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(2,'32345631','Raimon Sanchez Gimenez','H','21/06/1980',4,'S',res);   
  admsecur.pkgManteniment.AltaVisitant(2,'42345632','Eulalio Raul Julian','H','02/05/1972',4,'S',res); 
  admsecur.pkgManteniment.AltaVisitant(2,'22345628','Trinidad Arias Fez','D','29/09/1984',4,'S',res);  
 END;
/
*/
---------------------------------------------------
------------ accesos   ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaAcces(1,21,'12345678','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345679','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,21,'12345680','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345681','Entrada Acceptada',res);   
  admsecur.pkgManteniment.AltaAcces(1,24,'12345682','Entrada Acceptada',res);   
  admsecur.pkgManteniment.AltaAcces(1,21,'12345644','Entrada Acceptada',res); 
  
  admsecur.pkgManteniment.AltaAcces(1,21,'12345678','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345679','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,21,'12345680','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345681','Sortida Acceptada',res);   
  admsecur.pkgManteniment.AltaAcces(1,24,'12345682','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,21,'12345644','Sortida Acceptada',res);

  admsecur.pkgManteniment.AltaAcces(2,26,'12345638','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(2,24,'12345639','Entrada Acceptada',res); --
  admsecur.pkgManteniment.AltaAcces(2,35,'12345630','Entrada Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,24,'12345631','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(2,26,'12345632','Entrada Acceptada',res); --
  admsecur.pkgManteniment.AltaAcces(2,26,'12345628','Entrada Acceptada',res); 

  admsecur.pkgManteniment.AltaAcces(2,26,'12345638','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,24,'12345639','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,35,'12345630','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,24,'12345631','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(2,26,'12345632','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,26,'12345628','Sortida Acceptada',res); 
 
  admsecur.pkgManteniment.AltaAcces(1,21,'12345678','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345679','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,21,'12345680','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345681','Entrada Acceptada',res);   
  admsecur.pkgManteniment.AltaAcces(1,24,'12345682','Entrada Acceptada',res);   
  admsecur.pkgManteniment.AltaAcces(1,21,'12345644','Entrada Acceptada',res);  
  
  admsecur.pkgManteniment.AltaAcces(1,21,'12345678','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345679','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,21,'12345680','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,24,'12345681','Sortida Acceptada',res);   
  admsecur.pkgManteniment.AltaAcces(1,24,'12345682','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(1,21,'12345644','Sortida Acceptada',res); 
  
  admsecur.pkgManteniment.AltaAcces(2,26,'12345638','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(2,24,'12345639','Entrada Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,35,'12345630','Entrada Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,24,'12345631','Entrada Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(2,26,'12345632','Entrada Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,26,'12345628','Entrada Acceptada',res); 

  admsecur.pkgManteniment.AltaAcces(2,26,'12345638','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,24,'12345639','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,35,'12345630','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,24,'12345631','Sortida Acceptada',res); 
  admsecur.pkgManteniment.AltaAcces(2,26,'12345632','Sortida Acceptada',res);
  admsecur.pkgManteniment.AltaAcces(2,26,'12345628','Sortida Acceptada',res); 
 END;
/
---------------------------------------------------
------------ paquets   ----------------
---------------------------------------------------
DECLARE
  res VARCHAR2(20000);
BEGIN
  admsecur.pkgManteniment.AltaPaquets(1,1,21,'Paquet de Seur',res);
  admsecur.pkgManteniment.AltaPaquets(1,2,21,'Paquet de Seur',res);
  admsecur.pkgManteniment.AltaPaquets(1,3,21,'Paquet de Amazon',res);
  admsecur.pkgManteniment.AltaPaquets(1,4,21,'Paquet de Seur',res); 
  admsecur.pkgManteniment.AltaPaquets(1,1,21,'Paquet de El Corte Inglés',res);
  admsecur.pkgManteniment.AltaPaquets(1,1,21,'Paquet de Seur',res);  
  admsecur.pkgManteniment.AltaPaquets(1,4,21,'Paquet de HP',res);  
  admsecur.pkgManteniment.AltaPaquets(1,5,21,'Paquet de Carrefour',res); 
  admsecur.pkgManteniment.AltaPaquets(1,6,21,'Paquet de Notaria',res);   
  admsecur.pkgManteniment.AltaPaquets(1,3,21,'Paquet de Gestoria',res);  
 END;
/