--connectat com a admsecur
ALTER SESSION SET NLS_DATE_FORMAT = 'DD/MM/YYYY HH24:MI:SS';
ALTER SESSION SET NLS_TIMESTAMP_FORMAT = 'DD/MM/YYYY HH24:MI:SS';
ALTER SESSION SET NLS_TIME_FORMAT = 'HH24:MI:SS';
COMMIT;
---------------------------------------------------
--------------  Paisos ----------------------------
---------------------------------------------------
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --alta - ok
  admsecur.pkgManteniment.AltaPais('Finlandia', res);
  --error: ja existeix
  admsecur.pkgManteniment.AltaPais('Finlandia', res);
  --error: camp nul
  admsecur.pkgManteniment.AltaPais(NULL, res);
--BAIXA
  --baixa - ok  
  admsecur.pkgManteniment.BaixaPais(admsecur.pkgManteniment.CercarIdPais('Finlandia'), res);
  --error: ja donada de baixa
  admsecur.pkgManteniment.BaixaPais(admsecur.pkgManteniment.CercarIdPais('Finlandia'), res);
  --error: no existeix
  admsecur.pkgManteniment.BaixaPais(admsecur.pkgManteniment.CercarIdPais('Dinamarca'), res);
--MODIFICACIO
  --modificacio - ok  
  admsecur.pkgManteniment.ModifPais(admsecur.pkgManteniment.CercarIdPais('Alemanys'),'Alemanya',res);
END;
/
------------------------------------------------------------
--------------  Tipus Incidencia ----------------------------
-------------------------------------------------------------
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --alta - ok
  admsecur.pkgManteniment.AltaTipusInc('XXXXXXXXXX', res);
  --error: ja existeix
  admsecur.pkgManteniment.AltaTipusInc('XXXXXXXXXX', res);
  --error: camp nul
  admsecur.pkgManteniment.AltaTipusInc(NULL, res);
--BAIXA
  --baixa - ok  
  admsecur.pkgManteniment.BaixaTipusInc(admsecur.pkgManteniment.CercarIdTipusInc('XXXXXXXXXX'), res);
  --error: ja donada de baixa
  admsecur.pkgManteniment.BaixaTipusInc(admsecur.pkgManteniment.CercarIdTipusInc('XXXXXXXXXX'), res);
  --error: no existeix
  admsecur.pkgManteniment.BaixaTipusInc(admsecur.pkgManteniment.CercarIdTipusInc('Montacargas'), res);
--MODIFICACIO
  --modificacio - ok  
  admsecur.pkgManteniment.ModifTipusInc(admsecur.pkgManteniment.CercarIdTipusInc('Parkin'),'Parking',res); 
END;
/
-------------------------------------------------------------
--------------  Poblacions ----------------------------
-------------------------------------------------------------
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --alta - ok
  admsecur.pkgManteniment.AltaPoblacio('XXXXXXXXXX','2', res);
  --error: ja existeix
  admsecur.pkgManteniment.AltaPoblacio('XXXXXXXXXX','2', res);
  --error: camp nul
  admsecur.pkgManteniment.AltaPoblacio(NULL, NULL, res);
--BAIXA
  --baixa - ok  
  admsecur.pkgManteniment.BaixaPoblacio(admsecur.pkgManteniment.CercarIdPoblacio('XXXXXXXXXX'), res);
  --error: ja donada de baixa
  admsecur.pkgManteniment.BaixaPoblacio(admsecur.pkgManteniment.CercarIdPoblacio('XXXXXXXXXX'), res);
  --error: no existeix
  admsecur.pkgManteniment.BaixaPoblacio(admsecur.pkgManteniment.CercarIdPoblacio('Sabadell'), res);
--MODIFICACIO
  --modificacio - ok   
  -- admsecur.pkgManteniment.ModifPoblacio(admsecur.pkgManteniment.CercarIdPoblacio('Terrasa'),'Terrassa',2,res); 
END;
/  
-------------------------------------------------------------
--------------  Empreses ----------------------------
------------------------------------------------------------- 
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --alta - ok
  admsecur.pkgManteniment.AltaEmpresa('Microsoft','B14335521D','Sabadell 19',1,'08025','934578967','934578968','resp@Microsoft.com',res); 
  --error: ja existeix
  admsecur.pkgManteniment.AltaEmpresa('Microsoft','B14335521D','Sabadell 19',1,'08025','934578967','934578968','resp@Microsoft.com',res); 
  --error: camp nul
  admsecur.pkgManteniment.AltaEmpresa('Microsoft',NULL,'Sabadell 19',1,'08025','934578967','934578968','resp@Microsoft.com',res); 
--BAIXA
  --baixa - ok  
  admsecur.pkgManteniment.BaixaEmpresa(admsecur.pkgManteniment.CercarIdEmpresa('B14335521D'), res);
  --error: ja donada de baixa
  admsecur.pkgManteniment.BaixaEmpresa(admsecur.pkgManteniment.CercarIdEmpresa('B14335521D'), res);
  --error: no existeix
  admsecur.pkgManteniment.BaixaEmpresa(admsecur.pkgManteniment.CercarIdEmpresa('B14335599D'), res);
--MODIFICACIO
  --modificacio - ok  
  -- admsecur.pkgManteniment.ModifEmpresa(admsecur.pkgManteniment.CercarIdEmpresa('B14335521D'),'Microsoft','B14335521D','Sabadell 19',1,'08025','934578967','934578968','resp@Microsoft.cat',res); 
END;
/
-------------------------------------------------------------
--------------  Edificis ----------------------------
------------------------------------------------------------- 
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --error: ja existeix
  admsecur.pkgManteniment.AltaEdifici('Prova',8,'Sabadell 19',1,'08025','934578967','resp@Microsoft.com',res); 
--BAIXA
  --baixa - ok  
  admsecur.pkgManteniment.BaixaEdifici(admsecur.pkgManteniment.CercarIdEmpresa('Prova'), res); 
  --error: ja donat de baixa
  admsecur.pkgManteniment.BaixaEdifici(admsecur.pkgManteniment.CercarIdEmpresa('Prova'), res); 
  --error: no existeix
  admsecur.pkgManteniment.BaixaEdifici(admsecur.pkgManteniment.CercarIdEmpresa('XXX'), res); 
END;
/
-------------------------------------------------------------
--------------  Departaments  ----------------------------
------------------------------------------------------------- 
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --error: ja existeix
  admsecur.pkgManteniment.AltaDepartament('RRHH',4,res); 
--BAIXA
  --baixa - ok  
  admsecur.pkgManteniment.BaixaDepartament(admsecur.pkgManteniment.CercarIdDepartament('RRHH',4),res); 
  --error: ja donat de baixa
  admsecur.pkgManteniment.BaixaDepartament(admsecur.pkgManteniment.CercarIdDepartament('RRHH',4),res); 
  --error: no existeix  
  admsecur.pkgManteniment.BaixaDepartament(admsecur.pkgManteniment.CercarIdDepartament('Ascensor',4),res); 
END;
/
-------------------------------------------------------------
--------------  Incidències  ----------------------------
------------------------------------------------------------- 
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --error: ja existeix  
 admsecur.pkgManteniment.AltaIncidencies(1,1,22,'Robatori al Magatzem. Han desaparegut dos sensors. Avisem als mossos',res); 
  --error: paràmetres incorrectes   
 admsecur.pkgManteniment.AltaIncidencies(1,1,'Robatori al Magatzem. Han desaparegut dos sensors. Avisem als mossos',res); 
END;
/
-------------------------------------------------------------
--------------  Personal  ----------------------------
------------------------------------------------------------- 
DECLARE
  res VARCHAR2(800);
BEGIN
--ALTA
  --error: ja existeix  
  admsecur.pkgManteniment.AltaPersonal(1,1,21,'12345678','Rosa Prats Vidal','D','28/09/1963',1,'S',res); 
  --error: paràmetres incorrectes 
  admsecur.pkgManteniment.AltaPersonal(1,1,'12345678','Rosa Prats Vidal','D','28/09/1963',1,'S',res); 
  END;
/