-- Connectat com SYSTEM
DROP TABLESPACE DWTBSSECUR INCLUDING CONTENTS AND DATAFILES;
COMMIT;

-- tornem a crear
CREATE TABLESPACE DWTBSSECUR
	DATAFILE 'C:\UOC\PFC\DATA\DWSECUR.DBF' SIZE 50 M 
	AUTOEXTEND ON
	LOGGING ONLINE PERMANENT
	EXTENT MANAGEMENT LOCAL AUTOALLOCATE
	BLOCKSIZE 8 K
	SEGMENT SPACE MANAGEMENT AUTO;
COMMIT;

DROP USER dw_admsecur CASCADE;
COMMIT;
CREATE USER dw_admsecur
	IDENTIFIED BY dw_admsecur
	DEFAULT TABLESPACE DWTBSSECUR
	QUOTA UNLIMITED ON DWTBSSECUR
	TEMPORARY TABLESPACE temp
	QUOTA 0 ON users;
COMMIT;

GRANT CREATE SESSION
      , CREATE TABLE
      , CREATE TRIGGER
      , CREATE SEQUENCE 
TO dw_admsecur;

GRANT CREATE PROCEDURE TO dw_admsecur;
GRANT CREATE SYNONYM TO dw_admsecur;
COMMIT;
